## org.eclipse.datatools.enablement.ase.ddl
Class SybaseASEDdlGenerator

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.core.rte.fe.GenericDdlGenerator
          org.eclipse.datatools.enablement.sybase.ddl.SybaseDdlGenerator
              org.eclipse.datatools.enablement.ase.ddl.SybaseASEDdlGenerator

All Implemented Interfaces:
  org.eclipse.core.runtime.IExecutableExtension, DDLGenerator, ISybaseASEDdlConstants, ISybaseDdlConstants, ISybaseDdlGenerator, IGenericDdlConstants

    public final class SybaseASEDdlGenerator

extends SybaseDdlGenerator
implements DDLGenerator, org.eclipse.core.runtime.IExecutableExtension, ISybaseASEDdlConstants, IGenericDdlConstants

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.datatools.connectivity.sqm.core.rte.fe.GenericDdlGenerator
`GenericDdlGenerator.SingletonOptionDependency`

Field Summary

Fields inherited from class org.eclipse.datatools.enablement.sybase.ddl.SybaseDdlGenerator
`GENERATE_COMMENTS_GEN_OPTION_INDEX, GENERATE_CREATE_STATEMENTS_GEN_OPTION_INDEX, GENERATE_DROP_STATEMENTS_GEN_OPTION_INDEX, GENERATE_FULL_SYNTAX_GEN_OPTION_INDEX, GENERATE_FULLY_QUALIFIED_NAME_GEN_OPTION_INDEX, GENERATE_PRIVILEGES_GEN_OPTION_INDEX, GENERATE_QUOTED_IDENTIFIER_GEN_OPTION_INDEX, GENERATE_SETUSER_GEN_OPTION_INDEX, GENERATE_USEDATABASE_GEN_OPTION_INDEX`

Fields inherited from interface org.eclipse.datatools.enablement.ase.ISybaseASEDdlConstants

`ACCESS, ACCESSRULE, ALL, ALLOW_DUPLICATE_ROW, ALLPAGES, AND, BY, COLUMN_DELIMITER, CONCURRENCY_OPT_THRESHOLD, CONSUMERS, DATABASE_OWNER, DATAPAGES, DATAROWS, DEFAULT_LOCATION, DISABLE, ENABLE, EXEC, EXISTING, EXP_ROW_SIZE, FILLFACTOR, FUTUREONLY, HASH, IDENTITY, IDENTITY_GAP, IGNORE_DUPLICATE_KEY, IGNORE_DUPLICATE_ROW, LESSEQUAL, LIST, LOAD, LOCAL_INDEX, LOCK, master, MATCHFULL, MATERIALIZED, MAX_ROWS_PER_PAGE, MODIFIES_SQL_DATA, MODIFY, MRU, OFF, OR, OVERRIDE, PARTITION, PREFETCH, PROXY_UPDATE, RANGE, REPLACE, RESERVEPAGEGAP, ROUNDROBIN, RULE, SETUSER, SORTED_DATA, SP_ADDGROUP, SP_ADDOBJECTDEF, SP_ADDSEGMENT, SP_ADDTYPE, SP_ADDUSER, SP_BINDCACHE, SP_BINDEFAULT, SP_BINDRULE, SP_CACHESTRATEGY, SP_CHANGEGROUP, SP_CHGATTRIBUTE, SP_DROPGROUP, SP_DROPOBJECTDEF, SP_DROPSEGMENT, SP_DROPTYPE, SP_DROPUSER, SP_EXTENDSEGMENT, SP_PLACEOBJECT, SP_RENAME, SP_UNBINDEFAULT, SP_UNBINDRULE, SP_WEBSERVICES, STATISTICS_USING, TABLE_ONLY, TEXT_ONLY, USE, VALUES`

Fields inherited from interface org.eclipse.datatools.enablement.sybase.ddl.ISybaseDdlConstants

`ALTER_PRIVILEGE, ASC, AT, BEGIN, CAST, CHECKOPTION, CLUSTERED, COLUMN, COMMENT, COMMIT, DATABASE, DELETE_PRIVILEGE, DESC, END, END_IF, EQUAL, EVENT, EXEC_PRIVILEGE, EXISTS, EXTERNAL, EXTERNAL_NAME, FILE, FROM, GO, GO_FOR, GRANT, IF, IN, INOUT, INSERT_PRIVILEGE, IS, JAVA, LOCATOR, LOG, MESSAGE, NONCLUSTERED, OUT, OUTPUT, REFERENCE_PRIVILEGE, REFERENCES_PRIVILEGE, REMOVE, RENAME, REVOKE, SELECT_PRIVILEGE, SEMICOLUMN, THEN, TO, UPDATE_PRIVILEGE, WITH_GRANT_OPTION, WITH_RECOMPILE`

Fields inherited from interface org.eclipse.datatools.enablement.sybase.IGenericDdlConstants

`ADD, AFTER, ALIAS, ALTER, AS, BEFORE, BLOB, CASCADE, CASCADED, CHECK, CLOB, COMMA, COMPARISONS, CONSTRAINT, CREATE, DATALINK, DBCLOB, DEFAULT, DEFERRABLE, DEFERRED, DELETE, DOT, DOUBLE_QUOTE, DROP, EACH, EMPTY_STRING, FOR, FOREIGN_KEY, FUNCTION, INDEX, INITIALLY, INSERT, INSTEAD_OF, LEFT_PARENTHESIS, LOCAL, LONG, MODIFY, NEW, NEW_TABLE, NEWLINE, NO, NOT, NULL, OF, OLD, OLD_TABLE, ON, OPTION, PRIMARY_KEY, PROCEDURE, REFERENCES, REFERENCING, RENAME, RESTRICT, RIGHT_PARENTHESIS, ROW, SET, SINGLE_QUOTE, SPACE, STATEMENT, TAB, TABLE, TRIGGER, TYPE, UNIQUE, UPDATE, VARCHAR, VARGRAPHIC, VIEW, WHEN, WITH`

Constructor Summary
`SybaseASEDdlGenerator()`

Method Summary
`java.lang.String[]` `createSQLObjects(SQLObject[] elements, boolean quoteIdentifiers, boolean qualifyNames, boolean fullSyntax, org.eclipse.core.runtime.IProgressMonitor progressMonitor)`
`java.lang.String[]` `createSQLObjects(SQLObject[] elements, EngineeringOption[] options, org.eclipse.core.runtime.IProgressMonitor progressMonitor)` Override the one in super class to add use db statements.
`java.lang.String[]` `createSQLObjectsForDeltaDDL(SQLObject[] elements, boolean quoteIdentifiers, boolean qualifyNames, boolean fullSyntax, org.eclipse.core.runtime.IProgressMonitor progressMonitor)` Delta ddl version of `createSQLObjects(SQLObject[] elements, boolean quoteIdentifiers, boolean qualifyNames, IProgressMonitor progressMonitor)`.
`void` `createStatement(SQLObject element, boolean quoteIdentifiers, boolean qualifyNames, boolean fullSyntax, SybaseDdlScript script, org.eclipse.core.runtime.IProgressMonitor progressMonitor, int task)`
`java.lang.String[]` `dropSQLObjects(SQLObject[] elements, boolean quoteIdentifiers, boolean qualifyNames, org.eclipse.core.runtime.IProgressMonitor progressMonitor)`
`java.lang.String[]` `dropSQLObjects(SQLObject[] elements, EngineeringOption[] options, org.eclipse.core.runtime.IProgressMonitor progressMonitor)`
`java.lang.String[]` `dropSQLObjectsForDeltaDDL(SQLObject[] elements, boolean quoteIdentifiers, boolean qualifyNames, org.eclipse.core.runtime.IProgressMonitor progressMonitor)` Delta ddl version of `dropSQLObjects(SQLObject[] elements, boolean quoteIdentifiers, boolean qualifyNames, IProgressMonitor progressMonitor)`.
`void` `dropStatement(SQLObject element, boolean quoteIdentifiers, boolean qualifyNames, SybaseDdlScript script, org.eclipse.core.runtime.IProgressMonitor progressMonitor, int task)`
`byte[]` `getAdditionalOptionIndices(int objectType)`
`byte[]` `getExclusiveAdditionalOptionIndices(int objectType)`
`byte[]` `getGenerationOptionIndices(int objectType)`
`void` `setInitializationData(org.eclipse.core.runtime.IConfigurationElement config, java.lang.String propertyName, java.lang.Object data)`

Methods inherited from class org.eclipse.datatools.enablement.sybase.ddl.SybaseDdlGenerator
`createEngineeringOption, createGenerationOptions, createOptions, createSQLObjects, generateDDL, generateDDL, generateFullSyntax, generateSetUser, generateUseDatabase, getAdditionalOptions, getCommonAdditionalOptionIndices, getCommonGenerateOptionIndices, getGenerationOptions, getOptionByID, getOptions, getParameter, getSybaseDdlBuilder, setParameter`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.core.rte.fe.GenericDdlGenerator

`createSQLObjects, dropSQLObjects, generateAssertions, generateCKConstraints, generateCommentStatement, generateCreateStatement, generateDatabase, generateDDL, generateDropStatement, generateFKConstraints, generateFullyQualifiedNames, generateFunctions, generateIndexes, generatePKConstraints, generateQuotedIdentifiers, generateSchemas, generateSequences, generateStoredProcedures, generateTables, generateTriggers, generateUserDefinedTypes, generateViews, getOptionCategories, getOptions, getSelectedOptions`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.connectivity.sqm.core.rte.DDLGenerator
`createSQLObjects, createSQLObjects, dropSQLObjects, generateDDL, generateDDL, getOptionCategories, getOptions`

Constructor Detail

### SybaseASEDdlGenerator

    public SybaseASEDdlGenerator()

Method Detail

### setInitializationData

    public void setInitializationData(org.eclipse.core.runtime.IConfigurationElement config,
                                      java.lang.String propertyName,
                                      java.lang.Object data)
                               throws org.eclipse.core.runtime.CoreException

  Specified by:
    `setInitializationData` in interface `org.eclipse.core.runtime.IExecutableExtension`
  Throws:
    `org.eclipse.core.runtime.CoreException`

### createStatement

    public void createStatement(SQLObject element,
                                boolean quoteIdentifiers,
                                boolean qualifyNames,
                                boolean fullSyntax,
                                SybaseDdlScript script,
                                org.eclipse.core.runtime.IProgressMonitor progressMonitor,
                                int task)

  Overrides:
    `createStatement` in class `SybaseDdlGenerator`

### dropStatement

    public void dropStatement(SQLObject element,
                              boolean quoteIdentifiers,
                              boolean qualifyNames,
                              SybaseDdlScript script,
                              org.eclipse.core.runtime.IProgressMonitor progressMonitor,
                              int task)

  Overrides:
    `dropStatement` in class `SybaseDdlGenerator`

### getAdditionalOptionIndices

    public byte[] getAdditionalOptionIndices(int objectType)

  Specified by:
    `getAdditionalOptionIndices` in class `SybaseDdlGenerator`
  Parameters:
    `objectType` - database object type
  Returns:
    additional database option indices

### getGenerationOptionIndices

    public byte[] getGenerationOptionIndices(int objectType)

  Specified by:
    `getGenerationOptionIndices` in class `SybaseDdlGenerator`

### getExclusiveAdditionalOptionIndices

    public byte[] getExclusiveAdditionalOptionIndices(int objectType)

  Specified by:
    `getExclusiveAdditionalOptionIndices` in class `SybaseDdlGenerator`

### dropSQLObjectsForDeltaDDL

    public java.lang.String[] dropSQLObjectsForDeltaDDL(SQLObject[] elements,
                                                        boolean quoteIdentifiers,
                                                        boolean qualifyNames,
                                                        org.eclipse.core.runtime.IProgressMonitor progressMonitor)

  Description copied from interface: `ISybaseDdlGenerator`
  Delta ddl version of `dropSQLObjects(SQLObject[] elements, boolean quoteIdentifiers, boolean qualifyNames, IProgressMonitor progressMonitor)`. Different with `dropSQLObjects(SQLObject[] elements, boolean quoteIdentifiers, boolean qualifyNames, IProgressMonitor progressMonitor)`, this method should not generate "use db statements", because the framework has already done this.

  Specified by:
    `dropSQLObjectsForDeltaDDL` in interface `ISybaseDdlGenerator`
  Returns:

### createSQLObjectsForDeltaDDL

    public java.lang.String[] createSQLObjectsForDeltaDDL(SQLObject[] elements,
                                                          boolean quoteIdentifiers,
                                                          boolean qualifyNames,
                                                          boolean fullSyntax,
                                                          org.eclipse.core.runtime.IProgressMonitor progressMonitor)

  Description copied from interface: `ISybaseDdlGenerator`
  Delta ddl version of `createSQLObjects(SQLObject[] elements, boolean quoteIdentifiers, boolean qualifyNames, IProgressMonitor progressMonitor)`. Different with `createSQLObjects(SQLObject[] elements, boolean quoteIdentifiers, boolean qualifyNames, IProgressMonitor progressMonitor)`, this method should not generate "use db statements", because the framework has already done this.

  Specified by:
    `createSQLObjectsForDeltaDDL` in interface `ISybaseDdlGenerator`
  Returns:

### createSQLObjects

    public java.lang.String[] createSQLObjects(SQLObject[] elements,
                                               EngineeringOption[] options,
                                               org.eclipse.core.runtime.IProgressMonitor progressMonitor)

  Override the one in super class to add use db statements.

  Specified by:
    `createSQLObjects` in interface `ISybaseDdlGenerator`
  Overrides:
    `createSQLObjects` in class `SybaseDdlGenerator`
  Returns:

### createSQLObjects

    public java.lang.String[] createSQLObjects(SQLObject[] elements,
                                               boolean quoteIdentifiers,
                                               boolean qualifyNames,
                                               boolean fullSyntax,
                                               org.eclipse.core.runtime.IProgressMonitor progressMonitor)

  Specified by:
    `createSQLObjects` in interface `ISybaseDdlGenerator`
  Overrides:
    `createSQLObjects` in class `SybaseDdlGenerator`

### dropSQLObjects

    public java.lang.String[] dropSQLObjects(SQLObject[] elements,
                                             EngineeringOption[] options,
                                             org.eclipse.core.runtime.IProgressMonitor progressMonitor)

  Specified by:
    `dropSQLObjects` in interface `ISybaseDdlGenerator`
  Overrides:
    `dropSQLObjects` in class `SybaseDdlGenerator`
  Returns:

### dropSQLObjects

    public java.lang.String[] dropSQLObjects(SQLObject[] elements,
                                             boolean quoteIdentifiers,
                                             boolean qualifyNames,
                                             org.eclipse.core.runtime.IProgressMonitor progressMonitor)

  Specified by:
    `dropSQLObjects` in interface `DDLGenerator`
  Overrides:
    `dropSQLObjects` in class `SybaseDdlGenerator`